/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.user.organisationseinheit;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.ozgcloud.user.grpc.organisationseinheit.GrpcGetSupportedOrganisationsEinheitenResponse;
import io.grpc.stub.StreamObserver;

public class OrganisationseinheitGrpcServiceTest {

	@InjectMocks
	private OrganisationsEinheitGrpcService organisationsEinheitGrpcService;

	@Mock
	private OrganisationsEinheitService organisationsEinheitService;

	@Nested
	@DisplayName("Get supported Organisationseinheiten")
	class GetSupportedOrganisationsEinheiten {

		@Mock
		private StreamObserver<GrpcGetSupportedOrganisationsEinheitenResponse> streamObserver;

		@Test
		void shouldGetOrganisationsEinheiten() {
			organisationsEinheitGrpcService.getSupportedOrganisationsEinheiten(
					GrpcGetSupportedOrganisationsEinheitenRequest.newBuilder().build(),
					streamObserver);

			verify(organisationsEinheitService).findAllOrganisationsEinheitIds();
		}
	}

}
